[Overview][Types][Classes][Index] | Reference for unit 'LCLMemManager' (#lcl)

# TLCLNonFreeMemManager.EnumerateItems

Enumerates items in the list using the specified object procedure.

## Declaration

Source position: lclmemmanager.pas line 84

`public procedure TLCLNonFreeMemManager.EnumerateItems(`
`const Method: TLCLEnumItemsMethod`
`);`

## Arguments

`Method` |  | Object procedure used to enumerate the items in the list.

## See also

TLCLNonFreeMemManager.ItemSize |  | Size of the memory allocated for each item in the list.
TLCLEnumItemsMethod |  | Defines an object procedure type used to enumerate memory manager items.